%define upstream_name    Algorithm-Combinatorics
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Efficient generation of combinatorial sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Algorithm::Combinatorics is an efficient generator of combinatorial
sequences. Algorithms are selected from the literature (work in progress,
see the /REFERENCES manpage). Iterators do not use recursion, nor stacks,
and are written in C.

Tuples are generated in lexicographic order, except in 'subsets()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Feb 21 2012 kharec <kharec> 0.270.0-1.mga2
+ Revision: 211615
- update to 0.27

* Sun Nov 06 2011 kharec <kharec> 0.260.0-1.mga2
+ Revision: 164209
- imported package perl-Algorithm-Combinatorics


* Sun Nov 06 2011 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
